local Hatmaker = ...

-- Register model for stocking asset
Hatmaker:registerAssetId("models/crate.fbx/Prefab/crate","MY_CRATE")

-- Register image assets
Hatmaker:registerAssetId("icons/hat.png", "ICON_HAT")

-- Register hat (goods)
Hatmaker:register({
	DataType = "RESOURCE",
	Id = "HAT",
	ResourceName = "HAT",
	Icon = "ICON_HAT",
	ResourceType = "GOODS",
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 10 }
})
